 public class hotel 
 {
 String hotel_name;
 int number_of_rooms;
 double guess[];

 public hotel(String i_hotel_name,int i_number_of_rooms)
 {   hotel_name=i_hotel_name;
	 number_of_rooms=i_number_of_rooms;
	 guess=new double[number_of_rooms];
 }
 
 public hotel(String i_hotel_name,double i_guess[])
 {   hotel_name=i_hotel_name;
	 number_of_rooms=i_guess.length;
	 guess=new double[number_of_rooms];
	 for(int room_number=0;room_number<number_of_rooms;room_number++)
	 {guess[room_number]=i_guess[room_number];}
 }
 
 public void room_registration(int room_number,int number_of_customers)
 { guess[room_number]=number_of_customers;}
 
 public void room_registration(double i_guess[])
 { 	 int n=i_guess.length;
	 for(int room_number=0;room_number<n;room_number++)
	 {guess[room_number]=i_guess[room_number];}
 }
 public int number_of_guess()
 { 	 int nog=0;
	 for(int room_number=0;room_number<number_of_rooms;room_number++)
	 {nog+=guess[room_number];}
	 return nog;
 }
 public String toString()
 {	 String s="Hotel name : "+hotel_name+"\n";
     s+="Total number of guess : "+number_of_guess()+"\n";
	 for(int room_number=0;room_number<number_of_rooms;room_number++)
	 {s+="room number = "+room_number+" number of guess = "+guess[room_number]+"\n";}
     return s;
 }

 public String name(){return hotel_name;}
}